=== debian/changelog ===
texlive-extra (2016.20160819-1) unstable; urgency=medium

  * new upstream checkout
  * ship to unstable, make texlive-htmlxml installable again (Closes: #834616)

 -- Norbert Preining <preining@debian.org>  Fri, 19 Aug 2016 12:17:06 +0900

texlive-extra (2016.20160814-1) experimental; urgency=medium

  * tl-bibtex-extra conflicts with biblatex, biblatex-dw (Closes: #833967)
  * reintroduce tex4ht in texlive-htmlxml
  * conflict with logreq (Closes: #833990)

 -- Norbert Preining <preining@debian.org>  Sun, 14 Aug 2016 22:19:35 +0900

texlive-extra (2016.20160805-1) unstable; urgency=medium

  * new upstream checkout (Closes: #829330, #830564)

 -- Norbert Preining <preining@debian.org>  Sat, 06 Aug 2016 09:17:08 +0900

texlive-extra (2016.20160623-1) unstable; urgency=medium

  * new upstream checkout - first after the release of TL2016
  * tl-bibtex-extra: break against older biber versions (Closes: #825163)
  * break and provide against gregorio(tex) (Closes: #825743)
  * disable epstopdf patch - not applicable anymore

 -- Norbert Preining <preining@debian.org>  Thu, 23 Jun 2016 11:15:35 +0900

texlive-extra (2016.20160520-1) unstable; urgency=medium

  * new upstream checkout - TL 2016 (first trial)
  * fix replace (mweights moved latex-extra -> fonts-extra) (Closes: #824137)

 -- Norbert Preining <preining@debian.org>  Fri, 20 May 2016 10:04:59 +0900

texlive-extra (2016.20160512-1) unstable; urgency=medium

  * add missing conflicts against xmltex/jadetex (Closes: #820736)
  * remove sympytexpackage files that are either licenses cc-by-sa-nc
    or do not have accompanying sources (Closes: #824068, #824069)
  * adjust sympytex python path (Closes: #824071)
  * bump standards version, no changes necessary

 -- Norbert Preining <preining@debian.org>  Thu, 12 May 2016 10:30:06 +0900

texlive-extra (2016.20160417-1) experimental; urgency=medium

  * new upstream checkout of tlpretest
    - fix missing Euro sign in Inconsolata (Closes: #811384)
      (thanks to Thorsten Glaser for tracking it down)
  * tl-htmlxml recommends openjade (Closes: #803527)

 -- Norbert Preining <preining@debian.org>  Sun, 17 Apr 2016 14:29:35 +0900
