=== debian/changelog ===
texlive-extra (2016.20170123-5) unstable; urgency=medium

  * fix Latin1 encoding in algorithm2e (Closes: #857478)

 -- Norbert Preining <preining@debian.org>  Tue, 14 Mar 2017 00:12:31 +0900

texlive-extra (2016.20170123-4) unstable; urgency=medium

  * g-brief2.cls: correct the wrong patch for bug #840700
    (Closes: #840700, #855437)

 -- Norbert Preining <preining@debian.org>  Mon, 20 Feb 2017 13:37:33 +0900

texlive-extra (2016.20170123-3) unstable; urgency=medium

  * fix location of contracard.sty (Closes: #854800)
  * backport fix for infinite loop in glossaries-extra (Closes: #854931)

 -- Norbert Preining <preining@debian.org>  Sun, 12 Feb 2017 15:51:00 +0900

texlive-extra (2016.20170123-2) unstable; urgency=medium

  * fix wrong replace/break statements
  * tighten inter-package dependencies

 -- Norbert Preining <preining@debian.org>  Thu, 02 Feb 2017 22:14:49 +0900

texlive-extra (2016.20170123-1) unstable; urgency=medium

  * new upstream checkout
    - filehook needed by unicode-math moved to tl-latex-recommended

 -- Norbert Preining <preining@debian.org>  Mon, 23 Jan 2017 10:44:05 +0900

texlive-extra (2016.20170118-2) unstable; urgency=medium

  * conflict with old biber (Closes: #851966)

 -- Norbert Preining <preining@debian.org>  Sun, 22 Jan 2017 22:35:05 +0900

texlive-extra (2016.20170118-1) unstable; urgency=medium

  * new upstream checkout

 -- Norbert Preining <preining@debian.org>  Wed, 18 Jan 2017 08:56:28 +0900

texlive-extra (2016.20161130-1) unstable; urgency=medium

  * new upstream checkout
  * fix tl-htmlxml's dependency on texlive-binaries (Closes: #843859)

 -- Norbert Preining <preining@debian.org>  Wed, 30 Nov 2016 13:18:12 +0900

texlive-extra (2016.20161103-1) unstable; urgency=medium

  * break against old dblatex (Closes: #840229)
  * fix g-brief2 for multiple instances (Closes: #840700)
    (thanks to Julius Seemayer)
  * include a5toa4 man page (Closes: #841310) (thanks to James Clarke)
  * tl-latex-extra recs tl-generic-extra for datetime2 -> tracklong
    (Closes: #838755)
  * tl-math-extra is merged into tl-science (actually upstream calls
    it collection-mathscience)

 -- Norbert Preining <preining@debian.org>  Thu, 03 Nov 2016 11:51:11 +0900

texlive-extra (2016.20161008-1) unstable; urgency=medium

  * new upstream release
    - fix for newtxsf breakage (Closes: #835401)
  * add breaks for package moving via unreleased tl-unicodetex
  * tl-htmlxml conflicts with tex4ht-common (Closes: #834936)
  * move various tex4ht scripts from tl-binaries to tl-htmlxml
    (Closes: #835803)
    --> add symlinks in /usr/bin (Closes: #495768)
  * breaks against old version of biber

 -- Norbert Preining <preining@debian.org>  Sat, 08 Oct 2016 11:07:37 +0900
