=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
 Uploaders: Norbert Preining <preining@debian.org>
-Build-Depends: debhelper (>= 7.0.50~)
+Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: sharutils, tex-common (>= 6), findutils (>=4.2.0)
 Standards-Version: 3.9.8
 Homepage: http://www.tug.org/texlive/
@@ -11,9 +11,9 @@
 Package: texlive-bibtex-extra
 Architecture: all
 Multi-Arch: foreign
-Depends: texlive-latex-base (>= 2016), texlive-binaries (>= 2016.20160513.41080-5), ${misc:Depends}, texlive-base (>= 2016)
+Depends: ${misc:Depends}, texlive-base (>= 2016.20170123-2), texlive-binaries (>= 2016.20160513.41080-7), texlive-latex-base (>= 2016.20170123-2)
 Conflicts: biblatex, biblatex-dw, logreq
-Breaks: biber (<< 2.5), texlive-base (<< 2016)
+Breaks: biber (<< 2.7), texlive-base (<< 2016.20170123-2)
 Description: TeX Live: BibTeX additional styles
  Additional BibTeX styles and bibliography data(bases), notably including 
  BibLaTeX.
@@ -66,9 +66,14 @@
  .
  biblatex-chicago -- Chicago style files for BibLaTeX
  .
+ biblatex-claves -- A tool to manage claves of old litterature with BibLaTeX
+ .
  biblatex-dw -- Humanities styles for BibLaTeX
  .
  biblatex-fiwi -- BibLaTeX styles for use in German humanities
+ .
+ biblatex-gb7714-2015 -- A BibLaTeX implementation of the GBT7714-2015
+ bibliography style for Chinese users
  .
  biblatex-gost -- BibLaTeX support for GOST standard bibliographies
  .
@@ -83,6 +88,8 @@
  .
  biblatex-juradiss -- BibLaTeX stylefiles for German law thesis
  .
+ biblatex-lni -- LNI style for BibLaTeX
+ .
  biblatex-luh-ipw -- BibLaTeX styles for social sciences
  .
  biblatex-manuscripts-philology -- Manage classical manuscripts with BibLaTeX
@@ -114,6 +121,9 @@
  .
  biblatex-realauthor -- Indicate the real author of a work
  .
+ biblatex-sbl -- Society of Biblical Literature (SBL) style files for
+ BibLaTeX
+ .
  biblatex-science -- BibLaTeX implementation of the Science bibliography
  style
  .
@@ -139,6 +149,8 @@
  .
  bibunits -- Multiple bibliographies in one document
  .
+ biolett-bst -- A BibTeX style for the journal "Biology Letters"
+ .
  bookdb -- A BibTeX style file for cataloguing a home library
  .
  breakcites -- Ensure that multiple citations may break at line end
@@ -226,6 +238,8 @@
  nmbib -- Multiple versions of a bibliography, with different sort orders
  .
  notes2bib -- Integrating notes into the bibliography
+ .
+ notex-bst -- A BibTeX style that outputs HTML
  .
  oscola -- BibLaTeX style for the Oxford Standard for the Citation of Legal
  Authorities
@@ -261,11 +275,11 @@
 Package: texlive-extra-utils
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, python2.7 | python3, texlive-base (>= 2016), texlive-base (>= 2016), texlive-latex-base (>= 2016), texlive-binaries (>= 2016.20160513.41080-5)
-Recommends: texlive-latex-recommended, ruby | ruby-interpreter, libfile-homedir-perl, ghostscript, libyaml-tiny-perl
+Depends: ${misc:Depends}, python, texlive-base (>= 2016.20170123-2), texlive-base (>= 2016.20170123-2), texlive-binaries (>= 2016.20160513.41080-7), texlive-latex-base (>= 2016.20170123-2)
+Recommends: ghostscript, libfile-homedir-perl, libyaml-tiny-perl, ruby | ruby-interpreter, texlive-latex-recommended
 Provides: pdfjam
-Suggests: chktex, fragmaster, dvipng, latexdiff, dvidvi, lacheck, latexmk, xindy, purifyeps
-Breaks: texlive-base (<< 2016)
+Suggests: chktex, dvidvi, dvipng, fragmaster, lacheck, latexdiff, latexmk, purifyeps, xindy
+Breaks: texlive-base (<< 2016.20170123-2)
 Description: TeX Live: TeX auxiliary programs
  Various useful, but non-essential, support programs. Includes programs and 
  macros for DVI file manipulation, literate programming, patgen, and the TeX 
@@ -328,7 +342,11 @@
  .
  latex-git-log -- Typeset git log information
  .
+ latex-papersize -- Calculate LaTeX settings for any font and paper size
+ .
  latex2man -- Translate LaTeX-based manual pages into Unix man format
+ .
+ latex2nemeth -- Convert LaTeX source to Braille with math in Nemeth
  .
  latexfileversion -- Prints the version and date of a LaTeX class or style
  file
@@ -374,27 +392,3 @@
  .
  pkfix-helper -- Make PostScript files accessible to pkfix
  .
- pythontex -- Run Python from within a document, typesetting the results
- .
- seetexk -- Utilities for manipulating DVI files
- .
- srcredact -- A tool for redacting sources
- .
- sty2dtx -- Create a .dtx file from a .sty file
- .
- synctex --
- .
- tex4ebook -- Convertor from LaTeX to ebook formats
- .
- texcount -- Count words in a LaTeX document
- .
- texdef -- Display the definitions of TeX commands
- .
- texdiff -- Compare documents and produce tagged merge
- .
- texdirflatten -- Collect files related to a LaTeX job in a single directory
- .
- texfot -- Filter clutter from the output of a TeX run
- .
- texliveonfly -- On-the-fly download of missing TeX live packages
- .
