=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # 
 # debian/rules file for texlive-extra
 
-PACKAGES=texlive-bibtex-extra texlive-extra-utils texlive-font-utils texlive-formats-extra texlive-generic-extra texlive-math-extra texlive-plain-extra texlive-latex-extra texlive-fonts-extra texlive-music texlive-games texlive-pstricks texlive-publishers texlive-humanities texlive-science texlive-htmlxml texlive-fonts-extra-doc texlive-humanities-doc texlive-latex-extra-doc texlive-pstricks-doc texlive-publishers-doc texlive-science-doc
+PACKAGES=texlive-bibtex-extra texlive-extra-utils texlive-font-utils texlive-formats-extra texlive-generic-extra texlive-plain-extra texlive-latex-extra texlive-fonts-extra texlive-music texlive-games texlive-pstricks texlive-publishers texlive-humanities texlive-science texlive-htmlxml texlive-fonts-extra-doc texlive-humanities-doc texlive-latex-extra-doc texlive-science-doc texlive-pstricks-doc texlive-publishers-doc
 METAPACKAGES=etoolbox
 
 SHELL=/bin/bash
