## texlive-extra 2017.20170818

=== debian/changelog ===
texlive-extra (2017.20170818-1) unstable; urgency=medium

  * new upstream checkout
  * conflict against old texlive-math-extra packages that should not
    be installed (Closes: #872013)

 -- Norbert Preining <preining@debian.org>  Fri, 18 Aug 2017 11:46:12 +0900

texlive-extra (2017.20170809-1) unstable; urgency=medium

  * include tex4ht jar building from texlive-binaries to allow
    for bootstrapping of texlive-binaries

 -- Norbert Preining <preining@debian.org>  Wed, 09 Aug 2017 14:33:53 +0900

texlive-extra (2017.20170808-1) unstable; urgency=medium

  [ Gregor Herrmann ]
  * Fix "Unescaped left brace in regex is deprecated" in latex2man
    (Closes: #871159)

  [ Norbert Preining ]
  * new upstream checkout
  * jadetex/xmltex is in formats-extra, adjust dependencies (Closes: #870827)

 -- Norbert Preining <preining@debian.org>  Tue, 08 Aug 2017 10:42:51 +0900

texlive-extra (2017.20170801-1) unstable; urgency=medium

  * new upstream checkout: The Long Dark release
    - fixes media9 errors

 -- Norbert Preining <preining@debian.org>  Tue, 01 Aug 2017 16:07:37 +0900

texlive-extra (2017.20170724-1) unstable; urgency=medium

  * new upstream checkout
  * tl-extra-utils depends on libunicode-linebreak-perl (Closes: #868012)
  * tl-science depends on tl-lang-greek for lgrenc.def (Closes: #778917)
  * update patches
  * switch from ttf-adf-* to fonts-adf-* (Closes: #868939)

 -- Norbert Preining <preining@debian.org>  Mon, 24 Jul 2017 08:02:09 +0900

texlive-extra (2017.20170629-1) unstable; urgency=medium

  * new upstream checkout
  * fix wrong direction of file move directive (Closes: #866108)
  * bump standards version, no changes necessary

 -- Norbert Preining <preining@debian.org>  Thu, 29 Jun 2017 11:31:09 +0900

texlive-extra (2017.20170627-1) unstable; urgency=medium

  * new upstream checkout
  * more missing deps for tl-formats-extra (no bug, BTS doesn't want to clone)

 -- Norbert Preining <preining@debian.org>  Tue, 27 Jun 2017 10:20:03 +0900

texlive-extra (2017.20170623-1) unstable; urgency=medium

  * new upstream checkout
  * leipzig moved from tl-humanities to tl-latex-extra (Closes: #865207)

 -- Norbert Preining <preining@debian.org>  Fri, 23 Jun 2017 23:00:30 +0900

texlive-extra (2017.20170619-2) unstable; urgency=medium

  * merge forgotten changes in experimental:
    - add missing dep on tl-fonts-recommended (Closes: #864744)

 -- Norbert Preining <preining@debian.org>  Mon, 19 Jun 2017 22:39:56 +0900

texlive-extra (2017.20170619-1) unstable; urgency=medium

  * new checkout and upload to unstable

 -- Norbert Preining <preining@debian.org>  Mon, 19 Jun 2017 17:07:09 +0900

texlive-extra (2017.20170613-1) experimental; urgency=medium

  * first post 2017 checkout with all the updates since the freeze

 -- Norbert Preining <preining@debian.org>  Tue, 13 Jun 2017 09:59:50 +0900

texlive-extra (2017.20170525-1) experimental; urgency=medium

  * TL 2017

 -- Norbert Preining <preining@debian.org>  Sat, 27 May 2017 11:03:49 +0900
