=== debian/control ===
--- 
+++ 
@@ -4,16 +4,16 @@
 Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
 Uploaders: Norbert Preining <preining@debian.org>
 Build-Depends: debhelper (>= 9)
-Build-Depends-Indep: sharutils, tex-common (>= 6), findutils (>=4.2.0)
-Standards-Version: 3.9.8
+Build-Depends-Indep: sharutils, tex-common (>= 6), findutils (>=4.2.0), default-jdk
+Standards-Version: 4.0.0
 Homepage: http://www.tug.org/texlive/
 
 Package: texlive-bibtex-extra
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, texlive-base (>= 2016.20170123-2), texlive-binaries (>= 2016.20160513.41080-7), texlive-latex-base (>= 2016.20170123-2)
+Depends: ${misc:Depends}, texlive-base (>= 2017.20170628), texlive-binaries (>= 2017.20170524.44437), texlive-latex-base (>= 2017.20170628)
 Conflicts: biblatex, biblatex-dw, logreq
-Breaks: biber (<< 2.7), texlive-base (<< 2016.20170123-2)
+Breaks: biber (<< 2.7), texlive-base (<< 2017.20170628)
 Description: TeX Live: BibTeX additional styles
  Additional BibTeX styles and bibliography data(bases), notably including 
  BibLaTeX.
@@ -53,6 +53,12 @@
  .
  biblatex-apa -- BibLaTeX citation and reference style for APA
  .
+ biblatex-archaeology -- A collection of BibLaTeX styles for German
+ prehistory
+ .
+ biblatex-arthistory-bonn -- BibLaTeX citation style covers the citation and
+ bibliography guidelines for art historians
+ .
  biblatex-bookinarticle -- Manage book edited in article
  .
  biblatex-bookinother -- Manage book edited in other entry type
@@ -70,6 +76,8 @@
  .
  biblatex-dw -- Humanities styles for BibLaTeX
  .
+ biblatex-enc -- BibLaTeX style for the Ecole nationale des chartes (Paris)
+ .
  biblatex-fiwi -- BibLaTeX styles for use in German humanities
  .
  biblatex-gb7714-2015 -- A BibLaTeX implementation of the GBT7714-2015
@@ -79,7 +87,7 @@
  .
  biblatex-historian -- A BibLaTeX style
  .
- biblatex-ieee -- Ieee style files for BibLaTeX
+ biblatex-ieee -- IEEE style files for BibLaTeX
  .
  biblatex-ijsra -- BibLaTeX style for the International Journal of Student
  Research in Archaeology
@@ -107,10 +115,11 @@
  biblatex-nejm -- BibLaTeX style for the New England Journal of Medicine
  (NEJM)
  .
- biblatex-nottsclassic -- Citation style covering the citation and
- bibliography rules of the University of Nottingham
+ biblatex-nottsclassic -- Citation style for the University of Nottingham
  .
  biblatex-opcit-booktitle -- Use op. cit. for the booktitle of a subentry
+ .
+ biblatex-oxref -- BibLaTeX styles inspired by the Oxford Guide to Style
  .
  biblatex-philosophy -- Styles for using BibLaTeX for work in philosophy
  .
@@ -127,6 +136,8 @@
  biblatex-science -- BibLaTeX implementation of the Science bibliography
  style
  .
+ biblatex-shortfields -- Use short forms of fields with BibLaTeX
+ .
  biblatex-source-division -- References by "division" in classical sources
  .
  biblatex-subseries -- Manages subseries with BibLaTeX
@@ -219,6 +230,8 @@
  texts
  .
  ksfh_nat -- BibTeX style for KSFH Munich
+ .
+ ltb2bib -- converts amsrefs' .ltb bibliographical databases to BibTeX format
  .
  listbib -- Lists contents of BibTeX files
  .
@@ -275,11 +288,10 @@
 Package: texlive-extra-utils
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, python, texlive-base (>= 2016.20170123-2), texlive-base (>= 2016.20170123-2), texlive-binaries (>= 2016.20160513.41080-7), texlive-latex-base (>= 2016.20170123-2)
+Depends: ${misc:Depends}, libunicode-linebreak-perl, python, texlive-base (>= 2017.20170628), texlive-base (>= 2017.20170628), texlive-binaries (>= 2017.20170524.44437), texlive-latex-base (>= 2017.20170628)
 Recommends: ghostscript, libfile-homedir-perl, libyaml-tiny-perl, ruby | ruby-interpreter, texlive-latex-recommended
-Provides: pdfjam
 Suggests: chktex, dvidvi, dvipng, fragmaster, lacheck, latexdiff, latexmk, purifyeps, xindy
-Breaks: texlive-base (<< 2016.20170123-2)
+Breaks: texlive-base (<< 2017.20170628)
 Description: TeX Live: TeX auxiliary programs
  Various useful, but non-essential, support programs. Includes programs and 
  macros for DVI file manipulation, literate programming, patgen, and the TeX 
@@ -302,7 +314,7 @@
  checklistings -- Pass verbatim contents through a compiler and reincorporate
  the resulting output
  .
- ctan_chk -- Ctan guidelines verifier and corrector for uploading projects
+ ctan_chk -- CTAN guidelines verifier and corrector for uploading projects
  .
  ctanify -- Prepare a package for upload to CTAN
  .
@@ -325,6 +337,8 @@
  dviasm -- A utility for editing DVI files
  .
  dvicopy -- Copy DVI files, flattening VFs
+ .
+ dviinfox -- Perl script to print DVI meta information
  .
  dviljk -- DVI to Laserjet output
  .
@@ -375,20 +389,3 @@
  .
  pdfbook2 -- Create booklets from PDF files
  .
- pdfcrop -- Crop PDF graphics
- .
- pdfjam -- Shell scripts interfacing to pdfpages
- .
- pdflatexpicscale -- Support software for downscaling graphics to be included
- by pdfLaTeX
- .
- pdftools -- PDF-related utilities, including PostScript-to-PDF conversion
- .
- pdfxup -- Create n-up PDF pages with minimal margins
- .
- pfarrei -- LaTeX support of pastors' and priests' work
- .
- pkfix -- Replace pk fonts in PostScript with Type 1 fonts
- .
- pkfix-helper -- Make PostScript files accessible to pkfix
- .
